<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        #header {
            display: flex;
            /* align-items: baseline; */
            border-bottom: 1px solid #000;
        }
        #header .logo {
            flex-basis: 500px;
        }
        #header h1 {
            flex-grow: 1;
        }
        #header ul {
            display: flex;
            align-self: flex-end;
        }
        .block {
            height: 300px;
        }
        .content {
            flex-basis: 100%;
        }
        .sidebar {
            background-color: grey;
            flex-basis: 30%;
            order: -1;
        }
        .flex-wrapper {
            display: flex;
        }
    </style>
</head>
<body>
    <div id="header">
        <div class="logo">
            logo
        </div>
        <h1>Mon site</h1>
        <ul>
            <li>item menu</li>
            <li>item menu</li>
            <li>item menu</li>
        </ul>
    </div>
    <div class="flex-wrapper">
        <div class="content block">
            Enim eiusmod fugiat ex nulla reprehenderit esse voluptate do consectetur amet tempor. Excepteur elit amet cupidatat consectetur nisi tempor cillum culpa et deserunt sint sit. Reprehenderit esse laboris dolor ut consequat ad. Do aliqua et velit incididunt eu aliqua. Quis id cupidatat occaecat est eiusmod do velit voluptate sunt ad ea. Quis velit ullamco anim commodo esse anim ea do esse ex enim enim. Velit qui do cillum.
Eu consequat aliquip ipsum deserunt eiusmod enim veniam ut minim irure incididunt proident non consectetur sint. Labore dolor consectetur irure eu nostrud id. Ad cupidatat do ea eiusmod elit non in qui irure sunt. Ad cupidatat cupidatat velit proident duis dolor culpa pariatur ea elit sint proident. Eu nisi Lorem consequat proident quis reprehenderit non sint consectetur incididunt est dolore sit officia eu. Cupidatat consectetur cillum sunt ipsum exercitation sint nulla sint in laboris. Officia Lorem fugiat Lorem.
Anim proident duis ea. Lorem nostrud ullamco ea ut eiusmod qui adipisicing culpa ullamco qui aliqua. Excepteur reprehenderit mollit adipisicing non esse exercitation proident reprehenderit id ipsum excepteur commodo commodo tempor. Incididunt sint mollit cillum ipsum proident excepteur nostrud incididunt aliqua labore sunt amet ea. Culpa non adipisicing duis.
Do minim Lorem ex occaecat ex mollit et velit quis consectetur Lorem qui sint cupidatat ea. Laborum commodo laborum fugiat fugiat sit cillum sint fugiat voluptate veniam ad adipisicing id. Officia et ea aliqua laboris cupidatat id pariatur veniam occaecat sunt velit consequat eiusmod fugiat. Anim qui mollit dolore incididunt cupidatat sint consequat. Voluptate officia deserunt deserunt eiusmod nisi Lorem labore. Elit pariatur irure cupidatat pariatur aliquip. Occaecat enim tempor nostrud proident voluptate dolor cillum. Velit sunt occaecat in voluptate nisi duis ut voluptate laboris proident culpa incididunt reprehenderit nulla aliquip.
Esse aliquip occaecat labore veniam ea et mollit eu consequat irure labore labore enim minim. Amet culpa laborum occaecat commodo nisi labore enim proident eu excepteur nulla et. Incididunt ad laboris nostrud reprehenderit aute. Cupidatat cupidatat Lorem non Lorem ad cillum cupidatat tempor veniam tempor Lorem ea excepteur. Occaecat voluptate velit culpa non labore ut sit adipisicing ex eu.
        </div>
        <div class="sidebar block">
            lorem
        </div>
    </div>
</body>
</html>